Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class WorldClient

    java.lang.Object
      net.minecraft.src.World
          net.minecraft.src.WorldClient

All Implemented Interfaces:
  IBlockAccess

    public class WorldClient

extends World

Field Summary

Fields inherited from class net.minecraft.src.World
`difficultySetting, editingBlocks, findingSpawnPoint, isRemote, lightningFlash, loadedEntityList, loadedTileEntityList, mapStorage, MAX_ENTITY_RADIUS, playerEntities, provider, rand, scheduledUpdatesAreImmediate, skylightSubtracted, theProfiler, villageCollectionObj, weatherEffects`

Constructor Summary
`WorldClient(NetClientHandler par1NetClientHandler, WorldSettings par2WorldSettings, int par3, int par4, Profiler par5Profiler)`

Method Summary
`void` | `addEntityToWorld(int par1, Entity par2Entity)` Add an ID to Entity mapping to entityHashSet
`CrashReport` | `addWorldInfoToCrashReport(CrashReport par1CrashReport)` Adds some basic stats of the world to the given crash report.
`void` | `doPreChunk(int par1, int par2, boolean par3)`
`void` | `func_73029_E(int par1, int par2, int par3)`
`Entity` | `getEntityByID(int par1)` Lookup and return an Entity based on its ID
`void` | `invalidateBlockReceiveRegion(int par1, int par2, int par3, int par4, int par5, int par6)` Invalidates an AABB region of blocks from the receive queue, in the event that the block has been modified client-side in the intervening 80 receive ticks.
`void` | `playSound(double par1, double par3, double par5, String par7Str, float par8, float par9)` par8 is loudness, all pars passed to minecraftInstance.sndManager.playSound
`void` | `removeAllEntities()` also releases skins.
`Entity` | `removeEntityFromWorld(int par1)`
`void` | `sendQuittingDisconnectingPacket()` If on MP, sends a quitting packet.
`boolean` | `setBlockAndMetadataAndInvalidate(int par1, int par2, int par3, int par4, int par5)`
`void` | `setEntityDead(Entity par1Entity)` Dismounts the entity (and anything riding the entity), sets the dead flag, and removes the player entity from the player entity list.
`boolean` | `spawnEntityInWorld(Entity par1Entity)` Called to place all entities as part of a world
`void` | `tick()` Runs a single tick for the world
`void` | `updateWeatherBody()`

Methods inherited from class net.minecraft.src.World
`addBlockEvent, addLoadedEntities, addTileEntity, addTileEntity, addWeatherEffect, addWorldAccess, blockExists, blockHasTileEntity, calculateInitialSkylight, calculateInitialWeatherBody, calculateSkylightSubtracted, canBlockFreeze, canBlockFreezeBody, canBlockSeeTheSky, canLightningStrikeAt, canMineBlock, canMineBlockBody, canPlaceEntityOnSide, canSnowAt, canSnowAtBody, checkChunksExist, checkIfAABBIsClear, checkIfAABBIsClearExcludingEntity, checkSessionLock, countEntities, createExplosion, destroyBlockInWorldPartially, doChunksNearChunkExist, doesBlockHaveSolidTopSurface, drawClouds, drawCloudsBody, extendedLevelsInChunkCache, extinguishFire, findClosestStructure, findNearestEntityWithinAABB, func_72971_b, getActualHeight, getAllCollidingBoundingBoxes, getBiomeGenForCoords, getBiomeGenForCoordsBody, getBlockDensity, getBlockId, getBlockLightOpacity, getBlockLightValue_do, getBlockLightValue, getBlockMaterial, getBlockMetadata, getBlockTileEntity, getBrightness, getCelestialAngle, getCelestialAngleRadians, getChunkFromBlockCoords, getChunkFromChunkCoords, getChunkProvider, getClosestPlayer, getClosestPlayerToEntity, getClosestVulnerablePlayer, getClosestVulnerablePlayerToEntity, getCollidingBoundingBoxes, getDebugLoadedEntities, getEntitiesWithinAABB, getEntitiesWithinAABBExcludingEntity, getEntityPathToXYZ, getFirstUncoveredBlock, getFogColor, getFullBlockLightValue, getHeight, getHeightValue, getHorizon, getLightBrightness, getLightBrightnessForSkyBlocks, getLoadedEntityList, getMoonPhase, getPathEntityToEntity, getPendingBlockUpdates, getPlayerEntityByName, getPrecipitationHeight, getProviderName, getRainStrength, getSavedLightValue, getSaveHandler, getSeed, getSkyBlockTypeBrightness, getSkyColor, getSkyColorBody, getSpawnPoint, getStarBrightness, getStarBrightnessBody, getTopSolidOrLiquidBlock, getUniqueDataId, getWeightedThunderStrength, getWorldChunkManager, getWorldInfo, getWorldTime, handleMaterialAcceleration, isAABBInMaterial, isAABBNonEmpty, isAirBlock, isAnyLiquid, isBlockFreezable, isBlockFreezableNaturally, isBlockGettingPowered, isBlockHighHumidity, isBlockIndirectlyGettingPowered, isBlockIndirectlyProvidingPowerTo, isBlockNormalCube, isBlockNormalCubeDefault, isBlockOpaqueCube, isBlockProvidingPowerTo, isBlockSolidOnSide, isBlockSolidOnSide, isBoundingBoxBurning, isDaytime, isMaterialInBB, isRaining, isThundering, joinEntityInSurroundings, loadItemData, markBlockAsNeedsUpdate, markBlockNeedsUpdate, markBlockNeedsUpdateForAll, markBlocksDirty, markBlocksDirtyVertical, markTileEntityForDespawn, newExplosion, notifyBlockChange, notifyBlocksOfNeighborChange, playAuxSFX, playAuxSFXAtEntity, playRecord, playSoundAtEntity, playSoundEffect, rayTraceBlocks_do_do, rayTraceBlocks_do, rayTraceBlocks, removeBlockTileEntity, removeEntity, removeWorldAccess, scheduleBlockUpdate, scheduleBlockUpdateFromLoad, setAllowedSpawnTypes, setBlock, setBlockAndMetadata, setBlockAndMetadataWithNotify, setBlockAndMetadataWithUpdate, setBlockMetadata, setBlockMetadataWithNotify, setBlockTileEntity, setBlockWithNotify, setEntityState, setItemData, setLightValue, setRainStrength, setRandomSeed, setSpawnLocation, setSpawnLocation, setWorldTime, spawnParticle, tickUpdates, toggleRain, unloadEntities, updateAllLightTypes, updateAllPlayersSleepingFlag, updateEntities, updateEntity, updateEntityWithOptionalForce, updateLightByType, updateTileEntityChunkAndDoNothing, updatingLighting`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WorldClient

    public WorldClient(NetClientHandler par1NetClientHandler,
                       WorldSettings par2WorldSettings,
                       int par3,
                       int par4,
                       Profiler par5Profiler)

Method Detail

### tick

    public void tick()

  Runs a single tick for the world

  Overrides:
    `tick` in class `World`

### invalidateBlockReceiveRegion

    public void invalidateBlockReceiveRegion(int par1,
                                             int par2,
                                             int par3,
                                             int par4,
                                             int par5,
                                             int par6)

  Invalidates an AABB region of blocks from the receive queue, in the event that the block has been modified client-side in the intervening 80 receive ticks.

### doPreChunk

    public void doPreChunk(int par1,
                           int par2,
                           boolean par3)

### spawnEntityInWorld

    public boolean spawnEntityInWorld(Entity par1Entity)

  Called to place all entities as part of a world

  Overrides:
    `spawnEntityInWorld` in class `World`

### setEntityDead

    public void setEntityDead(Entity par1Entity)

  Dismounts the entity (and anything riding the entity), sets the dead flag, and removes the player entity from the player entity list. Called by the playerLoggedOut function.

  Overrides:
    `setEntityDead` in class `World`

### addEntityToWorld

    public void addEntityToWorld(int par1,
                                 Entity par2Entity)

  Add an ID to Entity mapping to entityHashSet

### getEntityByID

    public Entity getEntityByID(int par1)

  Lookup and return an Entity based on its ID

### removeEntityFromWorld

    public Entity removeEntityFromWorld(int par1)

### setBlockAndMetadataAndInvalidate

    public boolean setBlockAndMetadataAndInvalidate(int par1,
                                                    int par2,
                                                    int par3,
                                                    int par4,
                                                    int par5)

### sendQuittingDisconnectingPacket

    public void sendQuittingDisconnectingPacket()

  If on MP, sends a quitting packet.

  Overrides:
    `sendQuittingDisconnectingPacket` in class `World`

### updateWeatherBody

    public void updateWeatherBody()

  Overrides:
    `updateWeatherBody` in class `World`

### func_73029_E

    public void func_73029_E(int par1,
                             int par2,
                             int par3)

### removeAllEntities

    public void removeAllEntities()

  also releases skins.

### addWorldInfoToCrashReport

    public CrashReport addWorldInfoToCrashReport(CrashReport par1CrashReport)

  Adds some basic stats of the world to the given crash report.

  Overrides:
    `addWorldInfoToCrashReport` in class `World`

### playSound

    public void playSound(double par1,
                          double par3,
                          double par5,
                          String par7Str,
                          float par8,
                          float par9)

  par8 is loudness, all pars passed to minecraftInstance.sndManager.playSound

  Overrides:
    `playSound` in class `World`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD